Bug 175896 - Review Request: perl-SQL-Statement - SQL parsing and processing engine
Summary: Review Request: perl-SQL-Statement - SQL parsing and processing engine
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: David Lawrence
URL: http://search.cpan.org/dist/SQL-State...
Whiteboard:
Keywords: Reopened
: 177274 447900 (view as bug list)
Depends On: 175895
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-12-16 00:15 UTC by Jose Pedro Oliveira
Modified: 2008-06-12 23:52 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2008-06-12 23:52:06 UTC
tibbs: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Jose Pedro Oliveira 2005-12-16 00:15:50 UTC
Spec Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-SQL-Statement.spec

SRPM Name or Url:
http://gsd.di.uminho.pt/jpo/software/fedora/perl-SQL-Statement-1.14-1.src.rpm

Description:
The SQL::Statement module implements a pure Perl SQL parsing and execution
engine.  While it by no means implements full ANSI standard, it does support
many features including column and table aliases, built-in and user-defined
functions, implicit and explicit joins, complexly nested search conditions, and
other features.

Comment 1 Paul Howarth 2006-01-09 15:16:08 UTC
*** Bug 177274 has been marked as a duplicate of this bug. ***

Comment 2 Paul Howarth 2006-01-09 15:36:56 UTC
Review:

- rpmlint clean
- package and spec naming OK
- package meets guidelines
- license is GPL or Artistic, matches spec.
- spec file written in English and is legible
- sources match upstream
- package builds OK on FC4 (i386) and in mock for rawhide (i386)
- BR's OK
- no locales, libraries, pkgconfigs, or subpackages to worry about
- not relocatable
- no directory ownership or permissions issues
- no duplicate files
- %clean section present and correct
- macro usage is consistent
- code, not content
- no large docs
- docs don't affect runtime
- no desktop entry needed
- no scriptlets

Approved.


Comment 3 Jose Pedro Oliveira 2006-01-09 16:59:39 UTC
Thanks. Imported and built for FC-4 and devel.

Comment 4 Jose Pedro Oliveira 2006-01-09 18:31:13 UTC
Tom,

Do you want this perl module built for FC-3 ?

jpo

Notes:

* the BR perl-DBD-XBase builds without problems in FC-3
  (CVS branch needs to created)

* the perl-SQL-Statement BRs DBI/DBD::File in FC-3 can be problematic
  if we want to improve the test suite coverage:  the FC-3 DBI version
  doesn't include the DBD::File module (it needs to be packaged separately).
  More recent DBI versions include the DBD::File module but it also
  continues to have its own tarball in CPAN.

Links:
  http://search.cpan.org/dist/DBI/
  http://search.cpan.org/dist/DBD-File/


Comment 5 Tom "spot" Callaway 2006-01-09 18:34:43 UTC
Its up to you. 99% of the perl modules I maintain are for perl-Maypole, and that
won't build on FC-3 due to Apache restrictions. I've been building everything
that works without pain on FC-3 as a convenience to other maintainers.

Comment 6 Jose Pedro Oliveira 2006-01-09 18:57:09 UTC
In that case I will skip building them for FC-3.
I am only packaging these modules because they are  BR of perl-Log-Log4perl
which I am only targeting for Fedora >= 4.

Comment 7 Marcela Mašláňová 2008-06-12 14:23:16 UTC
*** Bug 447900 has been marked as a duplicate of this bug. ***

Comment 8 Marcela Mašláňová 2008-06-12 14:26:30 UTC
Package Change Request
======================
Package Name: perl-SQL-Statement
New Branches: EL-5
Updated EPEL Owners: kanarip


Comment 9 Kevin Fenzi 2008-06-12 15:53:07 UTC
cvs done.

Comment 10 Jason Tibbitts 2008-06-12 23:52:06 UTC
Setting flags properly so this doesn't show up in the review ticket queue.

Note that there's no reason to open tickets just to request CVS; we only check
the status of the flag.


Note You need to log in before you can comment on or make changes to this bug.